#
# spec file for package mrproject (Version 0.9.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile bonobo-activation bonobo-activation-devel docbook_4 esound esound-devel gconf2 gconf2-devel gnome-common gnome-vfs2 gnome-vfs2-devel gtk2-devel-packages intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgsf libgsf-devel libgsf-gnome libidl libidl-devel libjpeg libxml2 libxml2-devel libxslt linc linc-devel openssl openssl-devel orbit2 orbit2-devel popt python python-devel scrollkeeper

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils docbook_4 esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-common gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgsf libgsf-devel libgsf-gnome libidl libidl-devel libjpeg libtool libxml2 libxml2-devel libxslt linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel python python-devel rpm scrollkeeper update-desktop-files

Name:         mrproject
URL:          http://mrproject.codefactory.se
%define prefix /opt/gnome
%define lib_version 0.9.1
License:      GPL
Group:        Productivity/Office/Organizers
Summary:      A Project Management Application for GNOME
Version:      0.9.1
Release:      382.4
Source0:      mrproject-%{version}.tar.bz2
Source1:      libmrproject-%{lib_version}.tar.bz2
Patch0:       %name.diff
Patch1:       mrproject-make.dif
Patch2:       mrproject-encoding.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
MrProject is a free project management application, developed by
CodeFactory AB.

See http://mrproject.codefactory.se for more information.

Note that MrProject is under heavy development and might not behave as
expected.

If you want to contribute to the project, please subscribe to the
MrProject mailing list. Send an e-mail to
"mrproject-request@lists.codefactory.se" with the word "subscribe" in
the body of the message.

There is a mailing list archive available at
http://lists.codefactory.se/pipermail/mrproject/

There is also a #mrproject IRC channel on irc.gnome.org.



Authors:
--------
    Richard Hult       <richard.hult@codefactory.se>
    Mikael Hallendal   <mikael.hallendal@codefactory.se>
     
    Contributions:
    Anders Carlsson    <anders.carlsson@codefactory.se>
    Michael Meeks      <michael@ximian.com>
    Thomas Nyberg      <thomas.nyberg@codefactory.se>

%prep
%setup -q -n mrproject-%{version} -b 1
%patch
%patch1
cd ../libmrproject-%{lib_version}
%patch2 -p1

%build
%{suse_update_config}
# build libmrproject
cd ../libmrproject-%{lib_version}
autoreconf --force --install
  ./configure \
  --prefix=%{prefix} --datadir=%{prefix}/share \
  --sysconfdir=/etc%{prefix} --includedir=%{prefix}/include \
  --libdir=%{prefix}/%{_lib} --bindir=%{prefix}/bin \
  --with-gnome=/opt/gnome \
  --with-python
make
make install DESTDIR=$RPM_BUILD_ROOT
make install
ldconfig
cd ../mrproject-%{version}
autoreconf -I /opt/gnome/share/aclocal --force --install
CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include/gnome-vfs-1.0/ -I/usr/include/orbit-1.0 " \
  ./configure \
  --prefix=%{prefix} --datadir=%{prefix}/share \
  --sysconfdir=/etc%{prefix} --includedir=%{prefix}/include \
  --libdir=%{prefix}/%{_lib} --bindir=%{prefix}/bin \
  --with-gnome=/opt/gnome \
  --with-python
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT MRP_PLUGINDIR=$RPM_BUILD_ROOT/%{prefix}/%_lib/mrproject/plugins MRP_VIEWDIR=$RPM_BUILD_ROOT/%{prefix}/%_lib/mrproject/views
%find_lang %name
%find_lang libmrproject %name.lang
%suse_update_desktop_file mrproject Office ProjectManagement

%files -f %name.lang
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/bin/*
%{prefix}/include/mrproject-1.0
%{prefix}/share/applications/*.desktop
%dir %{prefix}/share/pixmaps/document-icons
%dir %{prefix}/share/pixmaps/mrproject
%{prefix}/share/pixmaps/*/*.png
%{prefix}/share/pixmaps/gnome-mrproject.png
%{prefix}/share/mime-info/mrproject*
%{prefix}/share/application-registry/*.applications
%{prefix}/share/gnome-2.0/ui/*.ui
%{prefix}/%{_lib}/mrproject
%{prefix}/share/mrproject
%{prefix}/share/omf/mrproject
%{prefix}/%{_lib}/*so*
%{prefix}/%{_lib}/*.la

%changelog -n mrproject
* Fri Jul 23 2004 - hhetter@suse.de
- include encoding="utf8" in mrproject.dtd to satisfy libxml
  requiring an encoding property in the document.
  Enables mrproject to load it's own documents (#43265)
* Sun Mar 07 2004 - ro@suse.de
- move build macro before first make install
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Sat Jun 28 2003 - coolo@suse.de
- package directories
- use %%find_lang
* Thu Jun 05 2003 - ro@suse.de
- added unpackaged files (mostly small devel stuff) to filelist
* Mon Apr 28 2003 - adrian@suse.de
- add libgsf-gnome to #neededforbuild
* Wed Feb 26 2003 - hhetter@suse.de
- fix build, really link any plugin
- fix scrollkeeper usage, and build help docs
- updated to bugfix-only release 0.9.1
* Tue Feb 18 2003 - adrian@suse.de
- fix build
* Mon Feb 17 2003 - adrian@suse.de
- update to version 0.9
* Mon Feb 17 2003 - hhetter@suse.de
- updated to stable bugfix release 0.8 (+library)
- filelist fix
* Thu Jan 16 2003 - ro@suse.de
- use "gtk2-devel-packages,libjpeg" in neededforbuild
* Wed Jan 15 2003 - ro@suse.de
- added expat to neededforbuild
* Wed Sep 25 2002 - sf@suse.de
- added alsa-devel to neededforbuild
- fixed some biarch-prblems in .spec to build those Archs
* Mon Sep 23 2002 - hhetter@suse.de
- build with alsa support
* Thu Aug 15 2002 - hhetter@suse.de
- updated to GNOME 2 port of mrproject: version 0.6
- complete filelist rework
* Fri Jun 21 2002 - ro@suse.de
- use "-a -f" for automake
* Mon Jun 03 2002 - ro@suse.de
- use "gnome-devel-packages" in neededforbuild
* Tue Mar 05 2002 - hhetter@suse.de
- fixed filelist and permissions (close Bug Id#14268)
- really build with automake 1.5
- use buildroot
- enable evolution mail component
- functionality test on i386
* Tue Dec 18 2001 - hhetter@suse.de
- updated to version 0.5.0
  * translation updates
  * sorting in allocation table fixed
  * improvements to calendar component
* Wed Nov 21 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Wed Oct 24 2001 - hhetter@suse.de
- updated to 0.4.0
  * Network diagram component
  * Calendar component
  * Progress tracking
  * Draw fixes in Gantt component
  * New icons
  * Better navigation in Gantt (right-click-menu)
  * Simple man pages
  * Various bug fixes
- prefixed to /opt/gnome
- enabled python module
- functionality test on i386
* Thu Oct 11 2001 - sf@suse.de
- added missing parameters in function call to compile with gcc > 2.95.x
* Thu Jul 05 2001 - kkaempf@suse.de
- Initial version 0.3.2
